<?php
require("config/koneksi.php");
require("config/function.php");
require("config/crud.php");
	$nokartu = $_GET['nokartu'];
	
	mysqli_query($koneksi, "delete from tmprfid");

	$simpan = mysqli_query($koneksi, "insert into tmprfid(nokartu)values('$nokartu')");
	if($simpan)
		echo "Berhasil";
	else
		echo "Gagal";
?>
<?php 

	$sql = mysqli_query($koneksi, "select * from status");
	$data = mysqli_fetch_array($sql);
	$mode_absen = $data['mode'];
	$mode = "";
	if($mode_absen==1)
		$mode = "Masuk";	
	else if($mode_absen==2)
		$mode = "Pulang";

	$baca_kartu = mysqli_query($koneksi, "select * from tmprfid");
	$data_kartu = mysqli_fetch_array($baca_kartu);
	$nokartu    = $data_kartu['nokartu'];
	$rf = mysqli_fetch_array(mysqli_query($koneksi, "SELECT * FROM datarfid WHERE nokartu='$nokartu'"));
	$rfsiswa = mysqli_fetch_array(mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_siswa='$rf[idsiswa]'"));
	$nowa = $rfsiswa['hp'];
	$kelas = $rfsiswa['id_kelas'];
?>
<?php
$cari = mysqli_query($koneksi, "select * from datarfid where nokartu='$nokartu'");
		$jumlah_data = mysqli_num_rows($cari);
		if($jumlah_data==0){
		
		}else{
$data = mysqli_fetch_array($cari);
			$nama = $data['nama'];
            $level = $data['level'];
			if($level=='pegawai'){
				$idpeg=$data['idpeg'];
			}
			if($level=='siswa'){
				$idsiswa=$data['idsiswa'];
			}
			$tanggal = date('Y-m-d');
			$jam     = date('H:i:s');
            $blth    = date('m');
			 $bulan = date('m');
			if($bulan=='01'){
			{$hapus='03';}
			}elseif($bulan=='02'){
			{$hapus='04';}
			}elseif($bulan=='03'){
			{$hapus='05';}
			}elseif($bulan=='04'){
			{$hapus='06';}
			}elseif($bulan=='05'){
			{$hapus='07';}
			}elseif($bulan=='06'){
			{$hapus='08';}
			}elseif($bulan=='07'){
			{$hapus='09';}
			}elseif($bulan=='08'){
			{$hapus='10';}
			}elseif($bulan=='09'){
			{$hapus='11';}
			}elseif($bulan=='10'){
			{$hapus='12';}
			}elseif($bulan=='11'){
			{$hapus='01';}
			}elseif($bulan=='12'){
			{$hapus='02';}
			}
			$tahun    = date('Y');
			$cari_absen = mysqli_query($koneksi, "select * from absensi where nokartu='$nokartu' and tanggal='$tanggal'");
			
			$jumlah_absen = mysqli_num_rows($cari_absen);
			if($jumlah_absen == 0)
			{
				if($level=='pegawai'):
				mysqli_query($koneksi, "insert into absensi(nokartu, tanggal,idguru, jam_masuk, ket, blth,tahun,level,hapus)values('$nokartu', '$tanggal','$idpeg', '$jam','H', '$blth','$tahun','$level','$hapus')");
			  else:
			mysqli_query($koneksi, "insert into absensi(nokartu, tanggal,idsiswa,kelas, jam_masuk, ket, blth,tahun,level,hapus)values('$nokartu', '$tanggal','$idsiswa','$kelas', '$jam','H', '$blth','$tahun','$level','$hapus')");
			  endif;
			mysqli_query($koneksi, "delete from tmprfid");
	 if($setting['kirimabsen']=='1' AND $rf['idpeg']<>''):
	$pesan="Kami informasikan bahwa ".$nama." hari ini tanggal ".date('d-m-Y H:i:s')." HADIR pada Kegiatan Belajar Mengajar menggunakan absensi RFID. Layanan Informasi ini Otomatis dikirim oleh Server ".$setting['sekolah'];
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => $setting['url_api'].'/send-message',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('message' => $pesan,'number' => $setting['nowaks'])
));
$response = curl_exec($curl);
curl_close($curl);

 elseif($setting['kirimabsen']=='1' AND $rf['idsiswa']<>'' AND $nowa<>''):
	$pesan="Kami informasikan bahwa ananda ".$nama." hari ini tanggal ".date('d-m-Y H:i:s')." HADIR pada Kegiatan Belajar Mengajar menggunakan absensi RFID. Layanan Informasi ini Otomatis dikirim oleh Server ".$setting['sekolah']." untuk memberitahukan kehadiran kepada Orang Tua Siswa";
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => $setting['url_api'].'/send-message',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('message' => $pesan,'number' => $nowa)
));
$response = curl_exec($curl);
curl_close($curl);
	
	endif;
			}
			if($mode_absen == 2)
				{
					
					mysqli_query($koneksi, "update absensi set jam_pulang='$jam' where nokartu='$nokartu' and tanggal='$tanggal'");
				mysqli_query($koneksi, "delete from tmprfid");
	          if($setting['kirimabsen']=='1' AND $rf['idpeg']<>''):
	$pesan="Kami informasikan bahwa ".$nama." hari ini tanggal ".date('d-m-Y H:i:s')." Telah selesai melakukan Kegiatan Belajar Mengajar,Absen Pulang menggunakan absensi RFID. Layanan Informasi ini Otomatis dikirim oleh Server ".$setting['sekolah'];
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => $setting['url_api'].'/send-message',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('message' => $pesan,'number' => $setting['nowaks'])
));
$response = curl_exec($curl);
curl_close($curl);
 elseif($setting['kirimabsen']=='1' AND $rf['idsiswa']<>'' AND $nowa<>''):
	$pesan="Kami informasikan bahwa ".$nama." hari ini tanggal ".date('d-m-Y H:i:s')." Telah selesai melakukan Kegiatan Belajar Mengajar, Absen Pulang menggunakan absensi RFID. Layanan Informasi ini Otomatis dikirim oleh Server ".$setting['sekolah'];
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => $setting['url_api'].'/send-message',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS => array('message' => $pesan,'number' => $nowa)
));
$response = curl_exec($curl);
curl_close($curl);
endif;
			 }
	
		}
			?>